
Foreman - Feature #3690

As an admin, I should be able to revoke a user's access but retain their audit history.

11/19/2013 02:01 PM - David Davis

Status: New   

Priority: Normal   

Assignee:    

Category: Authentication   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Right now, we only support the disabled column in katello. However, this only applies to authentication (disabled users can't login) so

it needs to be in the core app.

History

#1 - 06/03/2014 06:07 PM - Eric Helms

- Tracker changed from Bug to Feature

- Project changed from Katello to Foreman

- Subject changed from Engine: Support the disabling of users to As an admin, I should be able to revoke a user's access but retain their audit history.

Background on this issue comes from a feature that originally existed in Katello. The goal was to allow admin's to revoke a user's access to the

application by disabling them but keep the user record around such that the history of user actions are still present.

#2 - 06/04/2014 11:08 AM - Dominic Cleal

- Category set to Authentication
